Skip to content

Customer Account

Customer account management APIs

CUSTOMER CALL STATISTICS

Request

Get the Request Statistics of your account.

Token is generated from secretKey + time (no request body).

Response body:

ParameterTypeDescription
clientIdstringClient ID
companyNamestringCompany Name
subscriptionPlanstringSubscription Plan
monthlyRequestLimitnumberMonthly request limit
activeMonthRequestAmountnumberNumber of requests made for the active month
lastRequestDatedateTimeLast request date
subscriptionEndDatedateTimeSubscription end date
activeMonthStartDatedateTimeStart date of the active month
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"/AVydTBTwpUewRfUQ11PCWRoZ5Y3ZuujtI8SfuLqtlQnmuIGLaWIGxdnJW4rg5ylZUkfZ0jUhA4jPED3Ec+Q2w=="
Example:/AVydTBTwpUewRfUQ11PCWRoZ5Y3ZuujtI8SfuLqtlQnmuIGLaWIGxdnJW4rg5ylZUkfZ0jUhA4jPED3Ec+Q2w==
curl --location 'https://b2b.musaffa.us/b2b/api/demo/b2b-users/statistics' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: /AVydTBTwpUewRfUQ11PCWRoZ5Y3ZuujtI8SfuLqtlQnmuIGLaWIGxdnJW4rg5ylZUkfZ0jUhA4jPED3Ec+Q2w=='

Responses

Dynamic account usage statistics for the authenticated client

Bodyapplication/json
clientIdstring
companyNamestring
subscriptionPlanstring
monthlyRequestLimitnumber
activeMonthRequestAmountnumber
lastRequestDatestring

ISO 8601 date-time

subscriptionEndDatestring

ISO 8601 date-time

activeMonthStartDatestring

ISO 8601 date-time

Response
{ "clientId": "string", "companyName": "string", "subscriptionPlan": "string", "monthlyRequestLimit": 0, "activeMonthRequestAmount": 0, "lastRequestDate": "string", "subscriptionEndDate": "string", "activeMonthStartDate": "string" }